Package org.flowable.cmmn.api.runtime

# Interface InjectedPlanItemInstanceBuilder

public interface InjectedPlanItemInstanceBuilder
A builder API to create new, dynamically injected plan items into an existing, running stage instance.

Author:
  Micha Kiener

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InjectedPlanItemInstanceBuilder`
  `caseDefinitionId(String caseDefinitionId)`
  The id of the case definition from which the referenced plan item model should be taken as the model for the new plan item to be created dynamically.
  `PlanItemInstance`
  `createInCase(String caseInstanceId)`
  Create the newly setup plan item, add it to the parent running case instance and plan it for activation and further processing in the case engine.
  `PlanItemInstance`
  `createInStage(String stagePlanItemInstanceId)`
  Create the newly setup plan item, add it to the parent running stage and plan it for activation and further processing in the case engine.
  `InjectedPlanItemInstanceBuilder`
  `elementId(String elementId)`
  The id of the referenced element within the case model to be used as the base line for the new dynamic plan item to be created.
  `InjectedPlanItemInstanceBuilder`
  `name(String name)`
  The explicit name for the new plan item to be created, if this is not set, the name of the referenced element is taken instead.

- ## Method Details

  - ### name

    InjectedPlanItemInstanceBuilder name(String name)
    The explicit name for the new plan item to be created, if this is not set, the name of the referenced element is taken instead.
    Parameters:
      `name` - the explicit name to be used for the new plan item, which supersedes the one from the referenced plan item model
    Returns:
      the builder reference for method chaining

  - ### caseDefinitionId

    InjectedPlanItemInstanceBuilder caseDefinitionId(String caseDefinitionId)
    The id of the case definition from which the referenced plan item model should be taken as the model for the new plan item to be created dynamically.
    Parameters:
      `caseDefinitionId` - the id of the case definition where the referenced plan item model is taken from
    Returns:
      the builder reference for method chaining

  - ### elementId

    InjectedPlanItemInstanceBuilder elementId(String elementId)
    The id of the referenced element within the case model to be used as the base line for the new dynamic plan item to be created.
    Parameters:
      `elementId` - the id of the referenced plan item element within the case model
    Returns:
      the builder reference for method chaining

  - ### createInStage

    PlanItemInstance createInStage(String stagePlanItemInstanceId)
    Create the newly setup plan item, add it to the parent running stage and plan it for activation and further processing in the case engine.
    Parameters:
      `stagePlanItemInstanceId` - the id of the running stage plan item instance to inject a new plan item into
    Returns:
      the plan item instance dynamically be created

  - ### createInCase

    PlanItemInstance createInCase(String caseInstanceId)
    Create the newly setup plan item, add it to the parent running case instance and plan it for activation and further processing in the case engine.
    Parameters:
      `caseInstanceId` - the id of the running case instance to inject a new plan item into
    Returns:
      the plan item instance dynamically be created